# CountdownLetters

[![Build Status](https://travis-ci.com/bcbi/CountdownLetters.jl.svg?branch=master)](https://travis-ci.com/bcbi/CountdownLetters.jl/branches)
[![Codecov](https://codecov.io/gh/bcbi/CountdownLetters.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/bcbi/CountdownLetters.jl)

This package solves letters puzzles as seen on the television show Countdown.

## Installation

```julia
julia> import Pkg; Pkg.add(Pkg.PackageSpec(url = "https://github.com/bcbi/CountdownLetters.jl"))
```

## Examples

You can provide the input letters as either a single string or a vector of
characters.

```julia
julia> using CountdownLetters

julia> letters("GYHDNOEUR")
270-element Array{String,1}:
 "greyhound"
 "hydrogen"
 ⋮

 julia> letters(['G', 'Y', 'H', 'D', 'N', 'O', 'E', 'U', 'R'])
 270-element Array{String,1}:
  "greyhound"
  "hydrogen"
  ⋮
```
