module CountdownLetters

import StatsBase

export letters

const _word_cache = Dict{Vector{Char}, String}()
const _word_cache_lock = ReentrantLock()

include("public.jl")

include("get_word_list.jl")
include("multiplicity.jl")
include("sort.jl")
include("word_cache.jl")

end # module
