using CountdownLetters
using Test

@testset "CountdownLetters.jl" begin
    @testset "public.jl" begin
        test_cases = [("GYHDNOEUR", 5, ["greyhound", "hydrogen"]),
                      (['G', 'Y', 'H', 'D', 'N', 'O', 'E', 'U', 'R'], 5, ["greyhound", "hydrogen"])]
        for (input_letters, min_length, expected_output_head) in test_cases
            actual_output = letters("GYHDNOEUR", min_length)
            for i = 1:length(expected_output_head)
                @test actual_output[i] == expected_output_head[i]
            end
        end
        for (input_letters, _, expected_output_head) in test_cases
            actual_output = letters("GYHDNOEUR")
            for i = 1:length(expected_output_head)
                @test actual_output[i] == expected_output_head[i]
            end
        end
    end
end
